Update post
curl --request PUT \
--url https://api.publishbuddy.com/v1/posts/{post} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"link": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"platform_content": [
"<string>"
],
"media_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"labels": [
"<string>"
],
"preview": {
"title": "<string>",
"description": "<string>",
"url": "<string>",
"images": [
"<string>"
]
},
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"delay_n": 50,
"media_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
}
'import requests
url = "https://api.publishbuddy.com/v1/posts/{post}"
payload = {
"content": "<string>",
"link": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"platform_content": ["<string>"],
"media_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"labels": ["<string>"],
"preview": {
"title": "<string>",
"description": "<string>",
"url": "<string>",
"images": ["<string>"]
},
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"delay_n": 50,
"media_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
link: '<string>',
scheduled_for: '2023-11-07T05:31:56Z',
timezone: '<string>',
platform_content: ['<string>'],
media_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
labels: ['<string>'],
preview: {
title: '<string>',
description: '<string>',
url: '<string>',
images: ['<string>']
},
comments: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
text: '<string>',
delay_n: 50,
media_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
]
})
};
fetch('https://api.publishbuddy.com/v1/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.publishbuddy.com/v1/posts/{post}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'link' => '<string>',
'scheduled_for' => '2023-11-07T05:31:56Z',
'timezone' => '<string>',
'platform_content' => [
'<string>'
],
'media_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'labels' => [
'<string>'
],
'preview' => [
'title' => '<string>',
'description' => '<string>',
'url' => '<string>',
'images' => [
'<string>'
]
],
'comments' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'text' => '<string>',
'delay_n' => 50,
'media_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.publishbuddy.com/v1/posts/{post}"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"link\": \"<string>\",\n \"scheduled_for\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"<string>\",\n \"platform_content\": [\n \"<string>\"\n ],\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"labels\": [\n \"<string>\"\n ],\n \"preview\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"images\": [\n \"<string>\"\n ]\n },\n \"comments\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"delay_n\": 50,\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.publishbuddy.com/v1/posts/{post}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"link\": \"<string>\",\n \"scheduled_for\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"<string>\",\n \"platform_content\": [\n \"<string>\"\n ],\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"labels\": [\n \"<string>\"\n ],\n \"preview\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"images\": [\n \"<string>\"\n ]\n },\n \"comments\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"delay_n\": 50,\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.publishbuddy.com/v1/posts/{post}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"link\": \"<string>\",\n \"scheduled_for\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"<string>\",\n \"platform_content\": [\n \"<string>\"\n ],\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"labels\": [\n \"<string>\"\n ],\n \"preview\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"images\": [\n \"<string>\"\n ]\n },\n \"comments\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"delay_n\": 50,\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"group_id": "<string>",
"content": "<string>",
"profile_id": "<string>",
"scheduled_for": "<string>",
"media_ids": [
"<string>"
],
"media": [
{
"media_id": "<string>",
"type": "<string>",
"width": 123,
"height": 123,
"duration": 123
}
],
"platform_content": {},
"publish_type": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"link": "<string>",
"labels": [
{
"name": "<string>"
}
],
"comments": [
{
"id": "<string>",
"text": "<string>",
"delay_n": 123,
"delay_type": "<string>",
"media_ids": [
"<string>"
],
"media": [
{
"media_id": "<string>",
"type": "<string>",
"width": 123,
"height": 123,
"duration": 123
}
],
"status": "<string>",
"published_at": "<string>",
"error_message": "<string>"
}
],
"published_at": "<string>",
"post_url": "<string>",
"social_post_id": "<string>",
"error_message": "<string>"
},
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Posts
Update post
PUT
/
posts
/
{post}
Update post
curl --request PUT \
--url https://api.publishbuddy.com/v1/posts/{post} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"link": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"platform_content": [
"<string>"
],
"media_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"labels": [
"<string>"
],
"preview": {
"title": "<string>",
"description": "<string>",
"url": "<string>",
"images": [
"<string>"
]
},
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"delay_n": 50,
"media_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
}
'import requests
url = "https://api.publishbuddy.com/v1/posts/{post}"
payload = {
"content": "<string>",
"link": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"platform_content": ["<string>"],
"media_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"labels": ["<string>"],
"preview": {
"title": "<string>",
"description": "<string>",
"url": "<string>",
"images": ["<string>"]
},
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"delay_n": 50,
"media_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
link: '<string>',
scheduled_for: '2023-11-07T05:31:56Z',
timezone: '<string>',
platform_content: ['<string>'],
media_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
labels: ['<string>'],
preview: {
title: '<string>',
description: '<string>',
url: '<string>',
images: ['<string>']
},
comments: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
text: '<string>',
delay_n: 50,
media_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
]
})
};
fetch('https://api.publishbuddy.com/v1/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.publishbuddy.com/v1/posts/{post}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'link' => '<string>',
'scheduled_for' => '2023-11-07T05:31:56Z',
'timezone' => '<string>',
'platform_content' => [
'<string>'
],
'media_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'labels' => [
'<string>'
],
'preview' => [
'title' => '<string>',
'description' => '<string>',
'url' => '<string>',
'images' => [
'<string>'
]
],
'comments' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'text' => '<string>',
'delay_n' => 50,
'media_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.publishbuddy.com/v1/posts/{post}"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"link\": \"<string>\",\n \"scheduled_for\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"<string>\",\n \"platform_content\": [\n \"<string>\"\n ],\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"labels\": [\n \"<string>\"\n ],\n \"preview\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"images\": [\n \"<string>\"\n ]\n },\n \"comments\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"delay_n\": 50,\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.publishbuddy.com/v1/posts/{post}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"link\": \"<string>\",\n \"scheduled_for\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"<string>\",\n \"platform_content\": [\n \"<string>\"\n ],\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"labels\": [\n \"<string>\"\n ],\n \"preview\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"images\": [\n \"<string>\"\n ]\n },\n \"comments\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"delay_n\": 50,\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.publishbuddy.com/v1/posts/{post}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"link\": \"<string>\",\n \"scheduled_for\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"<string>\",\n \"platform_content\": [\n \"<string>\"\n ],\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"labels\": [\n \"<string>\"\n ],\n \"preview\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"images\": [\n \"<string>\"\n ]\n },\n \"comments\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"delay_n\": 50,\n \"media_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"group_id": "<string>",
"content": "<string>",
"profile_id": "<string>",
"scheduled_for": "<string>",
"media_ids": [
"<string>"
],
"media": [
{
"media_id": "<string>",
"type": "<string>",
"width": 123,
"height": 123,
"duration": 123
}
],
"platform_content": {},
"publish_type": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"link": "<string>",
"labels": [
{
"name": "<string>"
}
],
"comments": [
{
"id": "<string>",
"text": "<string>",
"delay_n": 123,
"delay_type": "<string>",
"media_ids": [
"<string>"
],
"media": [
{
"media_id": "<string>",
"type": "<string>",
"width": 123,
"height": 123,
"duration": 123
}
],
"status": "<string>",
"published_at": "<string>",
"error_message": "<string>"
}
],
"published_at": "<string>",
"post_url": "<string>",
"social_post_id": "<string>",
"error_message": "<string>"
},
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Personal access token, sent as Authorization: Bearer <token>.
Path Parameters
The post UUID
Body
application/json
Maximum string length:
10000Maximum string length:
250Available options:
waiting, draft, needs_approval Change how the post publishes: queue_using_timeslots, schedule_using_fixed_datetime, now
Available options:
queue_using_timeslots, schedule_using_fixed_datetime, now New publish time (ISO 8601; explicit offset wins, else timezone, else UTC). Applies when publish_type is schedule_using_fixed_datetime.
IANA timezone used to interpret a bare scheduled_for datetime (default UTC)
Queue placement when changing publish_type to queue_using_timeslots
Available options:
top, bottom Available options:
auto, notification Maximum string length:
250Show child attributes
Show child attributes
Show child attributes
Show child attributes